(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_element pp_a ppf = function
  | a_u_k -> Uindex_hashtbl_print.print_key pp_a ppf a_u_k
;;

let print_index pp_a ppf = function
  | a_u_v -> Uindex_hashtbl_print.print_value pp_a ppf a_u_v
;;

let print_t pp_a ppf = function
  | { Uindex_universe.tables = a_u_t; Uindex_universe.cardinal = u_l; } ->
    Format.fprintf ppf "%,@[<1>{@,"; Format.fprintf ppf "%,@[<1>tables =@ ";
    Uindex_hashtbl_print.print_t pp_a ppf a_u_t;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@[<1>cardinal =@ ";
    Upervasives_print.print_length ppf u_l; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@,}@]"
;;

(* End of ocamlprintc.bin generated code *)
