(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of ocamlprintc.bin generated code *)

let print_t ppf = function
  | {
      Upositive_rational_types.numerator = u_t;
      Upositive_rational_types.denominator = u_t0;
    } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>numerator =@ ";
    Unatural_print.print_t ppf u_t; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>denominator =@ ";
    Unatural_print.print_t ppf u_t0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@,}@]"
;;

(* End of ocamlprintc.bin generated code *)
