(***********************************************************************)
(*                                                                     *)
(*                              Ref-image                              *)
(*                                                                     *)
(*                  Image Segmentation by Refinement                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2009-2013 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: uset_types.mli,v 1.1 2013/06/04 17:11:41 fclement Exp $ *)

(** {3 The private type of set} *)

type 'a set =
  | Empty of 'a Uuniverse.t
  | Nonempty of 'a nonempty

and 'a nonempty = private
  {
   support : 'a Uuniverse.t;
   indices : 'a Uindex.t array;
  }
;;

val to_nonempty : 'a Uuniverse.t -> 'a Uindex.t array -> 'a nonempty;;
